package org.apache.maven.linkcheck;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import java.io.File;

import org.apache.maven.jelly.MavenJellyContext;
import org.apache.maven.project.Project;

/**
 * @author <a href="bwalding@apache.org">Ben Walding</a>
 * @version $Id$
 */
public class LinkCheckCli
{
    public static void main(String args[]) throws Exception
    {
        LinkCheckCli lcc = new LinkCheckCli();
        lcc.doMain(args);
    }

    private void doMain(String args[]) throws Exception
    {
        Project p = new Project();
        MavenJellyContext ctx = new MavenJellyContext();
        ctx.setProxyHost(null);
        p.setContext(ctx);

        LinkCheck lc = new LinkCheck();
        lc.setBasedir(new File("d:/data"));
        lc.setOutput(new File("target/linkcheck.xml"));
        lc.setCache("target/linkcheck.cache");
        lc.setOutputEncoding("ISO-8859");
        lc.setExclude("");
        lc.setProject(p);
        lc.doExecute();
    }
}